Subject: Re: bug#54551: show-paren-mode inconsistency

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Mar 2022 10:21:22 +0300

> Date: Fri, 25 Mar 2022 07:10:36 +0000
> From: goncholden <[email-masked]>
> Cc: [email-masked]
> 
> I am debugging a problem where emacs states that there exists an extra
> closing parenthesis, but having extreme difficulty locating it.

For this, I propose one of the following methods, or their
combination:

  . use C-M-f to move forward by sexps in your init file
  . watch for show-paren to show the closing parenthesis in the
    "mismatched" color

> Have split the file in two and using "require" on a child file.  Otherwise
> I have to comment each line of code rather than whole sections.  Commenting
> each line is likely to introduce errors if one is not very careful removing
> the comment tags.

You could instead mark a region of the file, and then use
comment-region.

I don't think any of this, or the problem you are trying to solve, is
relevant to what show-paren does, though.